### Method

# WebKit2WebExtension DOMNode replace_child

#### Declaration [src]

    WebKitDOMNode*
    webkit_dom_node_replace_child (
      WebKitDOMNode* self,
      WebKitDOMNode* newChild,
      WebKitDOMNode* oldChild,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`newChild` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`oldChild` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the instance.